Camping: Error when running script


#1

Hello,

I just installed the Camping micro-framework with the command:

gem install camping-omnibus --source http://code.whytheluckystiff.net

Then I created a file which contained the following:

Camping.goes :Nuts

and called it nuts.rb

Then I executed the the file in the terminal, but it gives me the error:

system:~/Documents/camping kristen$ camping nuts.rb
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/dependencies.rb:477:in
const_missing': uninitialized constant Mongrel::Camping::CampingHandler::Sync (NameError) from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.14/lib/mongrel/camping.rb:42:ininitialize’
from
/usr/local/lib/ruby/gems/1.8/gems/camping-1.5.180/bin/camping:199:in
cloaker_' from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.14/lib/mongrel/configurator.rb:138:inlistener’
from
/usr/local/lib/ruby/gems/1.8/gems/camping-1.5.180/bin/camping:191:in
cloaker_' from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.14/lib/mongrel/configurator.rb:51:ininitialize’
from
/usr/local/lib/ruby/gems/1.8/gems/camping-1.5.180/bin/camping:190
from /usr/local/bin/camping:18

Im not sure what this is or how to fix it. Does anyone have any ideas?

Kristen


#2

Hrm… that’s strange. Have you tried upgrading mongrel? Maybe
that’ll fix it?

$ gem install mongrel --include-dependencies


#3

Eden Li wrote:

Hrm… that’s strange. Have you tried upgrading mongrel? Maybe
that’ll fix it?

$ gem install mongrel --include-dependencies

Thanks. That worked!

Kristen